org.eclipse.emf.cdo.edit

## Class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

- java.lang.Object
- - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

- All Implemented Interfaces:
    IItemLabelProvider
  Enclosing class:
    CDOItemProviderAdapter.CDOPropertyDescriptor

  Deprecated.
  as of 4.4 not used any more.

      @Deprecated
      public static class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider
      extends Object
      implements IItemLabelProvider

  A default implementation of `IItemLabelProvider`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLabelProvider()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getImage(Object object)` Deprecated.
    `String` | `getText(Object object)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLabelProvider

          public DefaultLabelProvider()

      Deprecated.

  - ### Method Detail

    - #### getImage

          public Object getImage(Object object)

      Deprecated.
      Specified by:
        `getImage` in interface `IItemLabelProvider`

    - #### getText

          public String getText(Object object)

      Deprecated.
      Specified by:
        `getText` in interface `IItemLabelProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html